Retrieve a list of communication edges, nodes and alarms in a network

get

/topology/v2/edge/network/{network}

Retrieve a list of communication edges, nodes and alarms in a network

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Edges retrieved successfully
Body ()
Root Schema : GraphData
Type: object
Show Source
Nested Schema : AlarmSummary
Type: object
Show Source
Nested Schema : edges
Type: array
Show Source
Nested Schema : filterChips
Type: array
Show Source
Nested Schema : filters
Type: array
Show Source
Nested Schema : nodes
Type: array
Show Source
Nested Schema : AlarmSummaryBucket
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : capacities
Type: array
Show Source
Nested Schema : channels
Type: array
Show Source
Nested Schema : pathIds
Type: array
Unique Items Required: true
Show Source
Nested Schema : properties
Type: object
Additional Properties Allowed
Show Source
Nested Schema : Capacity
Type: object
Show Source
Nested Schema : FilterChip
Type: object
Show Source
  • Name of the smart search filter.
  • value
    Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: array
Show Source
Nested Schema : value-oneOf[3]
Type: array
Show Source
Nested Schema : value-oneOf[5]
Type: array
Show Source
Nested Schema : Filter
Type: object
Show Source
Nested Schema : Vertex
Type: object
Show Source
Nested Schema : bridgeEdges
Type: array
Unique Items Required: true
Show Source
Nested Schema : pathIds
Type: array
Unique Items Required: true
Show Source
Nested Schema : properties
Type: object
Additional Properties Allowed
Show Source
Nested Schema : relationships
Type: object
Additional Properties Allowed
Show Source
Nested Schema : BridgeEdge
Type: object
Show Source
Examples

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top